Bug 1021906 - Running systemtap causes call traces
Running systemtap causes call traces
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: systemtap (Show other bugs)
19
ppc64 All
unspecified Severity high
: ---
: ---
Assigned To: Frank Ch. Eigler
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-22 06:10 EDT by IBM Bug Proxy
Modified: 2015-02-17 12:46 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:46:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 93652 None None None Never

  None (edit)
Description IBM Bug Proxy 2013-10-22 06:10:58 EDT
Problem Description
--------------------------------
Running make installcheck causes lots of call traces 

[438617.079647] REGS: c00000000c63baa0 TRAP: 0300   Tainted: G      D W  O  (3.9.0-0.rc6.git2.4.fc19.ppc64p7)
[438617.079655] MSR: 8000000000009032 <SF,EE,ME,IR,DR,RI>  CR: 44044428  XER: 00000001
[438617.079681] SOFTE: 1
[438617.079686] CFAR: c00000000000fc64
[438617.079691] DAR: d000000000d7f170, DSISR: 40000000
[438617.079699] TASK = c00000006bd610f0[390] 'avahi-daemon' THREAD: c00000000c638000 CPU: 2
GPR00: c00000000000fc5c c00000000c63bd20 c0000000015d4f00 0000000000000000
GPR04: 0000000000000000 0000000000000000 c0000000014c4f00 c000000001494f00
GPR08: 800000000000d032 d000000000d7f170 c0000000014c4f00 0000000000000c00
GPR12: 0000000024044422 c00000000ed80800 0000000000000000 0000000000000000
GPR16: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
GPR20: 0000000000000004 0000000000000005 0000000000000003 0000000000000002
GPR24: 00000000100423e0 0000000000000000 000001001fee1c00 000001001fee1b50
GPR28: 0000000000000001 c0000000285ffe40 c00000000c63bea0 c00000000c638000
[438617.079838] NIP [c00000000000fc84] .do_syscall_trace_leave+0x1c4/0x2b0
[438617.079847] LR [c00000000000fc5c] .do_syscall_trace_leave+0x19c/0x2b0
[438617.079854] Call Trace:
[438617.079861] [c00000000c63bd20] [c00000000000fc5c] .do_syscall_trace_leave+0x19c/0x2b0 (unreliable)
[438617.079877] [c00000000c63be30] [c00000000000a018] syscall_exit_work+0xd0/0xd4
[438617.079886] Instruction dump:
[438617.079893] eba9efe8 480baea9 60000000 2fa30000 419e0014 3d42fff2 892ae47d 2f890000
[438617.079914] 419e0050 2fbd0000 419e0038 e93d0000 <e9490000> e87d0008 7fc4f378 7f85e378
[438617.079944] ---[ end trace 4681d8e5716a9282 ]---
[438617.110039]
[438617.110064] BUG: sleeping function called from invalid context at kernel/rwsem.c:20
[438617.110073] in_atomic(): 1, irqs_disabled(): 1, pid: 390, name: avahi-daemon
[438617.110080] INFO: lockdep is turned off.
[438617.110086] irq event stamp: 29762
[438617.110091] hardirqs last  enabled at (29761): [<c0000000008dfb64>] ._raw_spin_unlock_irqrestore+0x54/0xd0
[438617.110107] hardirqs last disabled at (29762): [<c0000000008df898>] ._raw_spin_lock_irq+0x38/0xd0
[438617.110119] softirqs last  enabled at (29238): [<c0000000007b65ac>] .ip_finish_output+0x4bc/0xa90
[438617.110131] softirqs last disabled at (29192): [<c0000000007b62b0>] .ip_finish_output+0x1c0/0xa90
[438617.110142] Call Trace:
[438617.110149] [c00000000c63b570] [c000000000016e30] .show_stack+0x130/0x200 (unreliable)
[438617.110162] [c00000000c63b640] [c0000000000e3ed8] .__might_sleep+0x1c8/0x2d0
[438617.110172] [c00000000c63b6d0] [c0000000008dc68c] .down_read+0x3c/0x120
[438617.110183] [c00000000c63b760] [c0000000000b6d5c] .exit_signals+0x2c/0x160
[438617.110193] [c00000000c63b7f0] [c00000000009bbd8] .do_exit+0xe8/0xde0
[438617.110203] [c00000000c63b900] [c0000000000216d8] .die+0x2f8/0x450
[438617.110214] [c00000000c63b9b0] [c000000000046580] .bad_page_fault+0xe0/0x130
[438617.110225] [c00000000c63ba30] [c000000000009304] handle_page_fault+0x2c/0x30
[438617.110238] --- Exception: 300 at .do_syscall_trace_leave+0x1c4/0x2b0
[438617.110238]     LR = .do_syscall_trace_leave+0x19c/0x2b0
[438617.110250] [c00000000c63be30] [c00000000000a018] syscall_exit_work+0xd0/0xd4
[438617.110261] BUG: scheduling while atomic: avahi-daemon/390/0x10000002
[438617.110267] INFO: lockdep is turned off.
[438617.110272] Modules linked in: stap_0736e9b27066dab5645b0ba34251ce56_9121(O) ipt_MASQUERADE nf_conntrack_netbios_ns nf_conntrack_broadcast ip6table_nat nf_nat_ipv6 ip6table_mangle ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 iptable_nat nf_nat_ipv4 nf_nat iptable_mangle nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack ebtable_filter ebtables ip6table_filter ip6_tables ibmveth nx_crypto pseries_rng ibmvscsi scsi_transport_srp scsi_tgt [last unloaded: stap_01865cb29f738aafd88fb5aef20e8070__9421]
[438617.110356] irq event stamp: 29762
[438617.110361] hardirqs last  enabled at (29761): [<c0000000008dfb64>] ._raw_spin_unlock_irqrestore+0x54/0xd0
[438617.110373] hardirqs last disabled at (29762): [<c0000000008df898>] ._raw_spin_lock_irq+0x38/0xd0
[438617.110384] softirqs last  enabled at (29238): [<c0000000007b65ac>] .ip_finish_output+0x4bc/0xa90
[438617.110395] softirqs last disabled at (29192): [<c0000000007b62b0>] .ip_finish_output+0x1c0/0xa90
[438617.110406] Call Trace:
[438617.110412] [c00000000c63b220] [c000000000016e30] .show_stack+0x130/0x200 (unreliable)
[438617.110425] [c00000000c63b2f0] [c0000000008ed3b8] .__schedule_bug+0x80/0xa8
[438617.110435] [c00000000c63b370] [c0000000008dd950] .__schedule+0xb00/0xb90
[438617.110445] [c00000000c63b5e0] [c0000000000e99dc] .__cond_resched+0x2c/0x50
[438617.110455] [c00000000c63b660] [c0000000008dded8] ._cond_resched+0x48/0x50
[438617.110465] [c00000000c63b6d0] [c0000000008dc698] .down_read+0x48/0x120
[438617.110476] [c00000000c63b760] [c0000000000b6d5c] .exit_signals+0x2c/0x160
[438617.110485] [c00000000c63b7f0] [c00000000009bbd8] .do_exit+0xe8/0xde0
[438617.110495] [c00000000c63b900] [c0000000000216d8] .die+0x2f8/0x450
[438617.110505] [c00000000c63b9b0] [c000000000046580] .bad_page_fault+0xe0/0x130
[438617.110515] [c00000000c63ba30] [c000000000009304] handle_page_fault+0x2c/0x30
[438617.110528] --- Exception: 300 at .do_syscall_trace_leave+0x1c4/0x2b0
[438617.110528]     LR = .do_syscall_trace_leave+0x19c/0x2b0
[438617.110541] [c00000000c63be30] [c00000000000a018] syscall_exit_work+0xd0/0xd4
[438617.110631] note: avahi-daemon[390] exited with preempt_count 1
[438617.111166] Unable to handle kernel paging request for data at address 0xd000000000d7f190
[438617.111174] Faulting instruction address: 0xc00000000009c3f8
[438617.111180] Oops: Kernel access of bad area, sig: 11 [#31]
[438617.111185] SMP NR_CPUS=1024 NUMA pSeries
[438617.111193] Modules linked in: stap_0736e9b27066dab5645b0ba34251ce56_9121(O) ipt_MASQUERADE nf_conntrack_netbios_ns nf_conntrack_broadcast ip6table_nat nf_nat_ipv6 ip6table_mangle ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 iptable_nat nf_nat_ipv4 nf_nat iptable_mangle nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack ebtable_filter ebtables ip6table_filter ip6_tables ibmveth nx_crypto pseries_rng ibmvscsi scsi_transport_srp scsi_tgt [last unloaded: stap_01865cb29f738aafd88fb5aef20e8070__9421]
[438617.111256] NIP: c00000000009c3f8 LR: c00000000009c3e0 CTR: 0000000000000000
[438617.111262] REGS: c00000000c63b570 TRAP: 0300   Tainted: G      D W  O  (3.9.0-0.rc6.git2.4.fc19.ppc64p7)
[438617.111269] MSR: 8000000000009032 <SF,EE,ME,IR,DR,RI>  CR: 84044428  XER: 20000005
[438617.111287] SOFTE: 1
[438617.111291] CFAR: c0000000000cab60
[438617.111295] DAR: d000000000d7f190, DSISR: 40000000
[438617.111300] TASK = c00000006bd610f0[390] 'avahi-daemon' THREAD: c00000000c638000 CPU: 0
GPR00: c00000000009c3e0 c00000000c63b7f0 c0000000015d4f00 0000000000000000
GPR04: 0000000000000000 c00000000049f800 c0000000014c4f00 c000000001494f00
GPR08: c0000000014f4f00 d000000000d7f190 c0000000014c4f00 0000000000000000
GPR12: 0000000024044422 c00000000ed80000 0000000000000000 0000000000000000
GPR16: 0000000000000000 0000000000000000 c00000006bd61b88 0000000000000000
GPR20: c00000000c638000 0000000000000005 c00000000c63b860 0000000000000002
GPR24: 00000000100423e0 0000000000000000 0000000000000002 c000000072db23b0
GPR28: c00000006bd610f0 c000000072db2300 0000000000000001 c0000000563680b0
[438617.111393] NIP [c00000000009c3f8] .do_exit+0x908/0xde0
[438617.111398] LR [c00000000009c3e0] .do_exit+0x8f0/0xde0
[438617.111403] Call Trace:
[438617.111407] [c00000000c63b7f0] [c00000000009c3e0] .do_exit+0x8f0/0xde0 (unreliable)
[438617.111417] [c00000000c63b900] [c0000000000216d8] .die+0x2f8/0x450
[438617.111424] [c00000000c63b9b0] [c000000000046580] .bad_page_fault+0xe0/0x130
[438617.111432] [c00000000c63ba30] [c000000000009304] handle_page_fault+0x2c/0x30
[438617.111443] --- Exception: 300 at .do_syscall_trace_leave+0x1c4/0x2b0
[438617.111443]     LR = .do_syscall_trace_leave+0x19c/0x2b0
[438617.111452] [c00000000c63be30] [c00000000000a018] syscall_exit_work+0xd0/0xd4
[438617.111459] Instruction dump:
[438617.111464] 39290001 91340014 3d02fff2 3928fa38 ebe90030 4802e725 60000000 2fa30000
[438617.111479] 409e015c 2fbf0000 419e0034 e93f0000 <e9490000> e87f0008 7f84e378 f8410028
[438617.111497] ---[ end trace 4681d8e5716a9283 ]---
[438617.131550]
[438617.131564] Fixing recursive fault but reboot is needed!
[438617.131569] BUG: scheduling while atomic: avahi-daemon/390/0x00000003
[438617.131574] INFO: lockdep is turned off.
[438617.131578] Modules linked in: stap_0736e9b27066dab5645b0ba34251ce56_9121(O) ipt_MASQUERADE nf_conntrack_netbios_ns nf_conntrack_broadcast ip6table_nat nf_nat_ipv6 ip6table_mangle ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 iptable_nat nf_nat_ipv4 nf_nat iptable_mangle nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack ebtable_filter ebtables ip6table_filter ip6_tables ibmveth nx_crypto pseries_rng ibmvscsi scsi_transport_srp scsi_tgt [last unloaded: stap_01865cb29f738aafd88fb5aef20e8070__9421]
[438617.131639] irq event stamp: 29762
[438617.131643] hardirqs last  enabled at (29761): [<c0000000008dfb64>] ._raw_spin_unlock_irqrestore+0x54/0xd0
[438617.131654] hardirqs last disabled at (29762): [<c0000000008df898>] ._raw_spin_lock_irq+0x38/0xd0
[438617.131663] softirqs last  enabled at (29238): [<c0000000007b65ac>] .ip_finish_output+0x4bc/0xa90
[438617.131672] softirqs last disabled at (29192): [<c0000000007b62b0>] .ip_finish_output+0x1c0/0xa90
[438617.131680] Call Trace:
[438617.131685] [c00000000c63af00] [c000000000016e30] .show_stack+0x130/0x200 (unreliable)
[438617.131695] [c00000000c63afd0] [c0000000008ed3b8] .__schedule_bug+0x80/0xa8
[438617.131703] [c00000000c63b050] [c0000000008dd950] .__schedule+0xb00/0xb90
[438617.131710] [c00000000c63b2c0] [c00000000009c798] .do_exit+0xca8/0xde0
[438617.131718] [c00000000c63b3d0] [c0000000000216d8] .die+0x2f8/0x450
[438617.131726] [c00000000c63b480] [c000000000046580] .bad_page_fault+0xe0/0x130
[438617.131733] [c00000000c63b500] [c000000000009304] handle_page_fault+0x2c/0x30
[438617.131742] --- Exception: 300 at .do_exit+0x908/0xde0
[438617.131742]     LR = .do_exit+0x8f0/0xde0
[438617.131750] [c00000000c63b900] [c0000000000216d8] .die+0x2f8/0x450
[438617.131758] [c00000000c63b9b0] [c000000000046580] .bad_page_fault+0xe0/0x130
[438617.131766] [c00000000c63ba30] [c000000000009304] handle_page_fault+0x2c/0x30
[438617.131776] --- Exception: 300 at .do_syscall_trace_leave+0x1c4/0x2b0
[438617.131776]     LR = .do_syscall_trace_leave+0x19c/0x2b0
[438617.131786] [c00000000c63be30] [c00000000000a018] syscall_exit_work+0xd0/0xd4
[439296.051081] Unable to handle kernel paging request for data at address 0xd000000000d7f170
[439296.051101] Faulting instruction address: 0xc00000000000fc84
[439296.051109] Oops: Kernel access of bad area, sig: 11 [#32]
[439296.051114] SMP NR_CPUS=1024 NUMA pSeries
[439296.051124] Modules linked in: stap_0736e9b27066dab5645b0ba34251ce56_9121(O) ipt_MASQUERADE nf_conntrack_netbios_ns nf_conntrack_broadcast ip6table_nat nf_nat_ipv6 ip6table_mangle ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 iptable_nat nf_nat_ipv4 nf_nat iptable_mangle nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack ebtable_filter ebtables ip6table_filter ip6_tables ibmveth nx_crypto pseries_rng ibmvscsi scsi_transport_srp scsi_tgt [last unloaded: stap_01865cb29f738aafd88fb5aef20e8070__9421]
[439296.051195] NIP: c00000000000fc84 LR: c00000000000fc5c CTR: 0000000000000000
[439296.051202] REGS: c000000062493aa0 TRAP: 0300   Tainted: G      D W  O  (3.9.0-0.rc6.git2.4.fc19.ppc64p7)
[439296.051209] MSR: 8000000000009032 <SF,EE,ME,IR,DR,RI>  CR: 48000848  XER: 00000002
[439296.051231] SOFTE: 1
[439296.051235] CFAR: c00000000000fc64
[439296.051240] DAR: d000000000d7f170, DSISR: 40000000
[439296.051246] TASK = c00000006225e840[958] 'sendmail' THREAD: c000000062490000 CPU: 1
GPR00: c00000000000fc5c c000000062493d20 c0000000015d4f00 0000000000000000
GPR04: 0000000000000000 0000000000000000 0000000000000001 0000000000000000
GPR08: 800000000000d032 d000000000d7f170 c0000000014c4f00 0000000000000c00
GPR12: 0000000048000842 c00000000ed80400 0000000000000005 0000000000000000
GPR16: 0000000000000000 0000010017000120 0000000000000000 00003fffeb598200
GPR20: 00003fffeb598bd0 00000000000000b8 00000000207132c8 0000000020742b28
GPR24: 0000000000000000 00003fffb615f488 0000000000000001 00000000207a2738
GPR28: fffffffffffffdfe c0000000285ffe40 c000000062493ea0 c000000062490000
[439296.051354] NIP [c00000000000fc84] .do_syscall_trace_leave+0x1c4/0x2b0
[439296.051363] LR [c00000000000fc5c] .do_syscall_trace_leave+0x19c/0x2b0
[439296.051368] Call Trace:
[439296.051374] [c000000062493d20] [c00000000000fc5c] .do_syscall_trace_leave+0x19c/0x2b0 (unreliable)
[439296.051385] [c000000062493e30] [c00000000000a018] syscall_exit_work+0xd0/0xd4
[439296.051392] Instruction dump:
[439296.051398] eba9efe8 480baea9 60000000 2fa30000 419e0014 3d42fff2 892ae47d 2f890000
[439296.051416] 419e0050 2fbd0000 419e0038 e93d0000 <e9490000> e87d0008 7fc4f378 7f85e378
[439296.051441] ---[ end trace 4681d8e5716a9284 ]---
[439296.070048]
[439296.070063] BUG: sleeping function called from invalid context at kernel/rwsem.c:20
[439296.070071] in_atomic(): 1, irqs_disabled(): 1, pid: 958, name: sendmail
[439296.070077] INFO: lockdep is turned off.
[439296.070082] irq event stamp: 2676
[439296.070086] hardirqs last  enabled at (2675): [<c00000000004965c>] .hash_preload+0x25c/0x330
[439296.070099] hardirqs last disabled at (2676): [<c0000000008df898>] ._raw_spin_lock_irq+0x38/0xd0
[439296.070111] softirqs last  enabled at (2548): [<c0000000000a04fc>] .__do_softirq+0x20c/0x540
[439296.070121] softirqs last disabled at (2529): [<c0000000000a0ab8>] .irq_exit+0xe8/0x100
[439296.070130] Call Trace:
[439296.070135] [c000000062493570] [c000000000016e30] .show_stack+0x130/0x200 (unreliable)
[439296.070147] [c000000062493640] [c0000000000e3ed8] .__might_sleep+0x1c8/0x2d0
[439296.070156] [c0000000624936d0] [c0000000008dc68c] .down_read+0x3c/0x120
[439296.070165] [c000000062493760] [c0000000000b6d5c] .exit_signals+0x2c/0x160
[439296.070173] [c0000000624937f0] [c00000000009bbd8] .do_exit+0xe8/0xde0
[439296.070181] [c000000062493900] [c0000000000216d8] .die+0x2f8/0x450
[439296.070190] [c0000000624939b0] [c000000000046580] .bad_page_fault+0xe0/0x130
[439296.070199] [c000000062493a30] [c000000000009304] handle_page_fault+0x2c/0x30
[439296.070210] --- Exception: 300 at .do_syscall_trace_leave+0x1c4/0x2b0
[439296.070210]     LR = .do_syscall_trace_leave+0x19c/0x2b0
[439296.070221] [c000000062493e30] [c00000000000a018] syscall_exit_work+0xd0/0xd4
[439296.070230] note: sendmail[958] exited with preempt_count 1
[439296.080262] Unable to handle kernel paging request for data at address 0xd000000000d7f190
[439296.080278] Faulting instruction address: 0xc00000000009c3f8
[439296.080285] Oops: Kernel access of bad area, sig: 11 [#33]
[439296.080290] SMP NR_CPUS=1024 NUMA pSeries
[439296.080299] Modules linked in: stap_0736e9b27066dab5645b0ba34251ce56_9121(O) ipt_MASQUERADE nf_conntrack_netbios_ns nf_conntrack_broadcast ip6table_nat nf_nat_ipv6 ip6table_mangle ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 iptable_nat nf_nat_ipv4 nf_nat iptable_mangle nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack ebtable_filter ebtables ip6table_filter ip6_tables ibmveth nx_crypto pseries_rng ibmvscsi scsi_transport_srp scsi_tgt [last unloaded: stap_01865cb29f738aafd88fb5aef20e8070__9421]
[439296.080371] NIP: c00000000009c3f8 LR: c00000000009c3e0 CTR: 0000000000000000
[439296.080379] REGS: c000000062493570 TRAP: 0300   Tainted: G      D W  O  (3.9.0-0.rc6.git2.4.fc19.ppc64p7)
[439296.080386] MSR: 8000000002009032 <SF,VEC,EE,ME,IR,DR,RI>  CR: 84004828  XER: 20000001
[439296.080410] SOFTE: 1
[439296.080414] CFAR: c0000000000cab60
[439296.080419] DAR: d000000000d7f190, DSISR: 40000000
[439296.080424] TASK = c00000006225e840[958] 'sendmail' THREAD: c000000062490000 CPU: 1
GPR00: c00000000009c3e0 c0000000624937f0 c0000000015d4f00 0000000000000000
GPR04: c00000000d11c600 0000000000000001 c0000000014c4f00 000000000000a082
GPR08: c0000000014f4f00 d000000000d7f190 c0000000014c4f00 0000000000000000
GPR12: 0000000024004822 c00000000ed80400 0000000000000005 0000000000000000
GPR16: 0000000000000000 0000010017000120 c00000006225f2d8 00003fffeb598200
GPR20: c000000062490000 00000000000000b8 c000000062493860 0000000020742b28
GPR24: 0000000000000000 0000000000000000 0000000000000001 c0000000695177b0
GPR28: c00000006225e840 c000000069517700 0000000000000001 c0000000563680b0
[439296.080533] NIP [c00000000009c3f8] .do_exit+0x908/0xde0
[439296.080541] LR [c00000000009c3e0] .do_exit+0x8f0/0xde0
[439296.080545] Call Trace:
[439296.080550] [c0000000624937f0] [c00000000009c3e0] .do_exit+0x8f0/0xde0 (unreliable)
[439296.080560] [c000000062493900] [c0000000000216d8] .die+0x2f8/0x450
[439296.080569] [c0000000624939b0] [c000000000046580] .bad_page_fault+0xe0/0x130
[439296.080578] [c000000062493a30] [c000000000009304] handle_page_fault+0x2c/0x30
[439296.080589] --- Exception: 300 at .do_syscall_trace_leave+0x1c4/0x2b0
[439296.080589]     LR = .do_syscall_trace_leave+0x19c/0x2b0
[439296.080599] [c000000062493e30] [c00000000000a018] syscall_exit_work+0xd0/0xd4
[439296.080606] Instruction dump:
[439296.080612] 39290001 91340014 3d02fff2 3928fa38 ebe90030 4802e725 60000000 2fa30000
[439296.080630] 409e015c 2fbf0000 419e0034 e93f0000 <e9490000> e87f0008 7f84e378 f8410028
[439296.080650] ---[ end trace 4681d8e5716a9285 ]---
[439296.101266]
[439296.101280] Fixing recursive fault but reboot is needed!
[439296.101286] BUG: scheduling while atomic: sendmail/958/0x00000003
[439296.101292] INFO: lockdep is turned off.
[439296.109327] Modules linked in: stap_0736e9b27066dab5645b0ba34251ce56_9121(O) ipt_MASQUERADE nf_conntrack_netbios_ns nf_conntrack_broadcast ip6table_nat nf_nat_ipv6 ip6table_mangle ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 iptable_nat nf_nat_ipv4 nf_nat iptable_mangle nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack ebtable_filter ebtables ip6table_filter ip6_tables ibmveth nx_crypto pseries_rng ibmvscsi scsi_transport_srp scsi_tgt [last unloaded: stap_01865cb29f738aafd88fb5aef20e8070__9421]
[439296.109419] irq event stamp: 2676
[439296.109424] hardirqs last  enabled at (2675): [<c00000000004965c>] .hash_preload+0x25c/0x330
[439296.109434] hardirqs last disabled at (2676): [<c0000000008df898>] ._raw_spin_lock_irq+0x38/0xd0
[439296.109444] softirqs last  enabled at (2548): [<c0000000000a04fc>] .__do_softirq+0x20c/0x540
[439296.109453] softirqs last disabled at (2529): [<c0000000000a0ab8>] .irq_exit+0xe8/0x100
[439296.109462] Call Trace:
[439296.109467] [c000000062492f00] [c000000000016e30] .show_stack+0x130/0x200 (unreliable)
[439296.109478] [c000000062492fd0] [c0000000008ed3b8] .__schedule_bug+0x80/0xa8
[439296.109487] [c000000062493050] [c0000000008dd950] .__schedule+0xb00/0xb90
[439296.109495] [c0000000624932c0] [c00000000009c798] .do_exit+0xca8/0xde0
[439296.109502] [c0000000624933d0] [c0000000000216d8] .die+0x2f8/0x450
[439296.109511] [c000000062493480] [c000000000046580] .bad_page_fault+0xe0/0x130
[439296.109519] [c000000062493500] [c000000000009304] handle_page_fault+0x2c/0x30
[439296.109529] --- Exception: 300 at .do_exit+0x908/0xde0
[439296.109529]     LR = .do_exit+0x8f0/0xde0
[439296.109538] [c000000062493900] [c0000000000216d8] .die+0x2f8/0x450
[439296.109546] [c0000000624939b0] [c000000000046580] .bad_page_fault+0xe0/0x130
[439296.109555] [c000000062493a30] [c000000000009304] handle_page_fault+0x2c/0x30
[439296.109566] --- Exception: 300 at .do_syscall_trace_leave+0x1c4/0x2b0
[439296.109566]     LR = .do_syscall_trace_leave+0x19c/0x2b0
[439296.109576] [c000000062493e30] [c00000000000a018] syscall_exit_work+0xd0/0xd4

System is hung  . Need to restart the machine . Pasting all call traces which are available on serial console .

Thanks
Divya

== Comment: # - Rajesh Ragipalem <rragipal@in.ibm.com> - ==
I am able to see coredumps now while running systemtap for fedora20 Alpha
 
[root@juno-ioxc1-lp3 ~]# cat /var/log/messages | grep dump
Oct 14 23:04:33 juno-ioxc1-lp3 systemd: Stopping Install ABRT coredump hook...
Oct 14 23:04:33 juno-ioxc1-lp3 systemd: Stopped Install ABRT coredump hook.
Oct 14 23:06:47 juno-ioxc1-lp3 systemd: Starting Install ABRT coredump hook...
Oct 14 23:06:47 juno-ioxc1-lp3 systemd: Started Install ABRT coredump hook.
Oct 14 23:06:48 juno-ioxc1-lp3 abrtd: Searching for unprocessed dump directories
Oct 17 02:31:02 juno-ioxc1-lp3 systemd: Stopping Install ABRT coredump hook...
Oct 17 02:31:02 juno-ioxc1-lp3 systemd: Stopped Install ABRT coredump hook.
Oct 17 02:32:57 juno-ioxc1-lp3 systemd: Starting Install ABRT coredump hook...
Oct 17 02:32:58 juno-ioxc1-lp3 systemd: Started Install ABRT coredump hook.
Oct 17 02:32:59 juno-ioxc1-lp3 abrtd: Searching for unprocessed dump directories
Oct 18 04:37:52 juno-ioxc1-lp3 abrt[25862]: Saved core dump of pid 25823 (/usr/libexec/tracker-extract) to /var/tmp/abrt/ccpp-2013-10-18-04:37:51-25823 (132513792 bytes)
Oct 18 05:37:00 juno-ioxc1-lp3 abrt[11264]: Saved core dump of pid 11263 (/usr/share/systemtap/testsuite/bz5274) to /var/tmp/abrt/ccpp-2013-10-18-05:36:59-11263 (1179648 bytes)
Oct 18 05:37:32 juno-ioxc1-lp3 abrt[12059]: Saved core dump of pid 12058 (/usr/share/systemtap/testsuite/bz6850) to /var/tmp/abrt/ccpp-2013-10-18-05:37:32-12058 (1114112 bytes)
Oct 18 06:19:10 juno-ioxc1-lp3 abrt[31968]: Saved core dump of pid 31967 (/usr/bin/stap) to /var/tmp/abrt/ccpp-2013-10-18-06:19:09-31967 (71696384 bytes)
[root@juno-ioxc1-lp3 ~]# 

Regards,
Rajesh
Comment 1 IBM Bug Proxy 2013-10-25 05:12:53 EDT
------- Comment From vaish123@in.ibm.com 2013-10-25 09:03 EDT-------
*** This bug has been marked as a duplicate of bug 85948 ***
Comment 2 David Smith 2013-10-30 15:39:46 EDT
I borrowed a ppc64 system running 3.11.4-201.fc19.ppc64 and ran the testsuite using HEAD systemtap. The systemtap.base/perf.exp testcase caused the system to be unresponsive, but other than that the testsuite ran reasonably. I didn't see any of the call traces shown in this bug report.
Comment 3 Fedora End Of Life 2015-01-09 15:20:14 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-02-17 12:46:49 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.